<?php
include '../clases/db.php';
include '../clases/db2.php';


$json = file_get_contents('php://input');   
$obj = json_decode($json);
$id = $obj->flag;
$conn = new conexion_sec("directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
// Returns a Json
header('Content-Type: application/json');
switch($id){
    case '0':
        

        $query = "SELECT * FROM socios WHERE idSocio = '$obj->usuario'";
        
        $resultado = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);

        while($row = mysqli_fetch_array($resultado)) 
        {
            $nombre = $row["Nombre"]." ".$row["Apellidos"];
            if($row["Foto"] == null || $row["Foto"] == ""){
                $foto = null;
            }else{
                $foto = "https://manager.progymcloud.com/style/img/Socios/".$row["Foto"];
            }
            
        }
        
        $array = ["nombre"=>$nombre, "foto"=>$foto, "planes" => $query];
        echo json_encode($array);
        break;
    
        case "1":
            //$conn = new conexion_sec("localhost:3306","root","",$obj->bd);
            $msg;
            $date = date('Y-m-d');
            //$fecha_hoy = strtotime($date);
            
            $queryActivo = "SELECT * FROM socios WHERE idSocio = '$obj->id' AND Activo != 0";
            $resultadoA = $conn->selectQuery($queryActivo,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            
            if(mysqli_num_rows($resultadoA) > 0){
                $queryS = "SELECT * FROM asistenciaservicio2 WHERE idSocio = '$obj->id' AND FechaHora LIKE '%$date%'";
                $resultado = $conn->selectQuery($queryS,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
    
                if(mysqli_num_rows($resultado) > 0){
                    echo "Ya cuentas con una visita";
                }else{
                    $query ="UPDATE socios SET token_qr = '$obj->qr' WHERE idSocio = $obj->id";
    
                    $conn->insert_query($query, "localhost:3306","root","",$obj->bd);
    
                    echo "Success";
                }
            }else{
                echo 'Cliente inactivo, verifica con la administracion de tu sede';
            }
            

            break;
        
        case '2':
            //$conn = new conexion_sec("localhost:3306","root","",$obj->bd);
            $query = "SELECT * FROM sucursal";
                
        
            echo $resultado = $conn->jsonQuery($query,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            
            break;
        case '3':
            //$conn = new conexion_sec("localhost:3306","root","",$obj->bd);
            $queryActivo = "SELECT * FROM socios WHERE idSocio = '$obj->id' AND Activo != 0";
            
            $resultadoA = $conn->selectQuery($queryActivo,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            if(mysqli_num_rows($resultadoA) > 0){
                $query = "SELECT 
                s.idSucursal as id_sucursal, 
                s.NombreSucursal, 
                a.hora_inicio as hora_inicio, 
                a.hora_fin, 
                a.limite_clientes
            FROM aforo_clientes a 
                INNER JOIN sucursal s ON a.id_sucursal = s.idSucursal 
            WHERE 
    			registro_obligatorio = 1 
    			AND id_sucursal = '$obj->gym'
    			AND limite_clientes > 0";
                
                $resultado = $conn->selectQuery($query,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
    
                $idS;
                $nombre;
                $inicio;
                $fin;
                $limite;
                $countR;
    
                if(mysqli_num_rows($resultado) > 0){
                    while($row = mysqli_fetch_array($resultado)) 
                    {
                        $idS = $row['id_sucursal'];
                        $nombre = $row['NombreSucursal'];
                        $inicio = $row['hora_inicio'];
                        $fin = $row['hora_fin'];
                        $limite = $row['limite_clientes'];
                      
                        $reservacion = strtotime($obj->fecha." ".$inicio);
                        $reservacion2 = strtotime(date('H:i:s', $reservacion))." ".strtotime($inicio);
                        $array;
                        $fechaAux = $obj->fecha." ".$inicio;
                        
                        $query_2 = "SELECT count(*) AS countA 
                                        FROM aforo_reservaciones 
                                    WHERE status_reservacion = 0 
                                        AND id_sucursal = $obj->gym 
                                        AND fecha_reservacion LIKE '%$fechaAux%'";
                        $resultado_2 = $conn->selectQuery($query_2,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
                        $countAsist = 0;
                        while($row_2 = mysqli_fetch_array($resultado_2)) 
                        {
                            if($reservacion2 == strtotime($inicio) ){
                                $countAsist = $row_2["countA"];
                            }else{
                                $countAsist = 0;
                            }
                           
                            $array[] = ['id_sucursal'=> $idS, 'NombreSucursal' => $nombre, 'hora_inicio' => $inicio, 'hora_fin' => $fin, 'limite_clientes' => $limite, 'numR'=> $countAsist];
                           
                        }
                     
                    }
                }else{
                    $array[] = ['id_sucursal'=> 'Sin Horarios', 'NombreSucursal' => 'Sin Horarios', 'hora_inicio' => 'Sin Horarios', 'hora_fin' => 'Sin Horarios', 'limite_clientes' => '0', 'numR'=> '0'];
                }
                
                
                echo json_encode($array);
            }else{
                echo 'Inactivo';
            }
        break;

    case '4':
        $msg;
        $idServicio;
        $idSocio_servicio;
        
        $query = "SELECT s.idServicio,MAX(idSocio_Servicio) as idSocio_servicio,ss.idSocio,s.NombreServicio FROM servicios s INNER JOIN socio_servicio ss ON s.idServicio = ss.idServicio WHERE ss.idSocio = '$obj->id_cliente'";
        
        $resultado = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        
        
        while($row = mysqli_fetch_array($resultado)){
            $idSer = $row["idServicio"];
            $subQuery = "SELECT * FROM servicios_sucursal WHERE servicios_idservicio = '$idSer'";
            $resultado2 = $conn->jsonQuery($subQuery, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            if(mysqli_num_rows($resultado2) > 0){
                if($row_2 = mysqli_fetch_array($resultado_2)){
                    if($obj->gym != $row_2['sucursal_idsucursal']){
                        $msg = 'No tienes acceso a esta sucursal';
                    }else{
                        $msg = 'succes';
                    }
                }
            }else{
                $msg = 'succes';
            }

        }
        
        echo $msg;
        break;
    case '5':

        $dayFilter;

        switch($obj->filter){
            case '1':
                $dayFilter = 15;
                break;
            case '2':
                $dayFilter = 30;
                break;

            case '3':
                $dayFilter = 60;
                break;
            case '4':
                $dayFilter = 180;
                break;


        }
        
        $query = "SELECT a.idSocio, concat(s.Nombre, ' ', s.Apellidos) AS nombre, DATE_FORMAT(a.FechaHora, '%d/%m/%Y %H:%i:%s') AS fecha, 
        su.NombreSucursal, a.Puerta FROM sucursal su JOIN asistenciaservicio2 a ON su.idSucursal = a.idSucursal JOIN socios s 
        ON a.idSocio = s.idSocio WHERE a.idSocio = '$obj->id_cliente' AND (a.FechaHora >= DATE_SUB(NOW(), INTERVAL $dayFilter DAY) AND a.FechaHora <= NOW()) 
        ORDER BY a.FechaHora DESC";
        $resultado = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        
        if(mysqli_num_rows($resultado) != 0){
            echo $conn->jsonQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        }else{
            echo 'vacio';
        }
        
        break;
        
    case '6':
        $array = array();
        $date = date('Y/m/d H:i:s');
        $fecha_hoy = strtotime($date);
        $query = "SELECT a.id_reservacion,a.id_cliente, CONCAT(su.Nombre, ' ', su.Apellidos) AS nombre, DATE_FORMAT(a.fecha_reservacion, '%d/%m/%Y %H:%i:%s') AS fecha, 
        s.NombreSucursal, a.status_reservacion,a.fecha_reservacion
        FROM socios su JOIN aforo_reservaciones a ON su.idSocio = a.id_cliente JOIN sucursal s ON a.id_sucursal = s.idSucursal 
        WHERE id_cliente = '$obj->id_cliente' AND (a.fecha_reservacion >= DATE_SUB(NOW(),INTERVAL 15 DAY) AND a.fecha_reservacion <= NOW()) GROUP BY a.fecha_reservacion DESC";

        $res = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        while($row = mysqli_fetch_array($res)){
             
            //echo strtotime($row["fecha_reservacion"]).' '.$fecha_hoy;
            $resta = strtotime($row["fecha_reservacion"]) - $fecha_hoy;
           
            if($resta < 0 && $row["status_reservacion"] == '0'){
                $status = 'Abandonada';
            }
            if($resta > 0 && $row["status_reservacion"] == '0'){
                $status = 'Reservada';
            }
            if($row["status_reservacion"] == '1'){
                $status = 'Cancelada';
            }

            if($obj->filter == '1'){
                if($status == 'Abandonada'){
                    $array[] = ['id_reservacion'=> $row["id_reservacion"], 'id_cliente' => $row["id_cliente"], 'nombre'=> $row["nombre"], 'fecha'=>$row["fecha"],
                    'NombreSucursal'=>$row["NombreSucursal"],'status_reservacion'=>$status];
                }
            }
            
            if($obj->filter == '2'){
                if($status == 'Cancelada'){
                    $array[] = ['id_reservacion'=> $row["id_reservacion"], 'id_cliente' => $row["id_cliente"], 'nombre'=> $row["nombre"], 'fecha'=>$row["fecha"],
                    'NombreSucursal'=>$row["NombreSucursal"],'status_reservacion'=>$status];
                }
            }
            if($obj->filter == '4'){
                if($status == 'Reservada'){
                    $array[] = ['id_reservacion'=> $row["id_reservacion"], 'id_cliente' => $row["id_cliente"], 'nombre'=> $row["nombre"], 'fecha'=>$row["fecha"],
                    'NombreSucursal'=>$row["NombreSucursal"],'status_reservacion'=>$status];
                }
            }
            if($obj->filter == '3'){
                $array[] = ['id_reservacion'=> $row["id_reservacion"], 'id_cliente' => $row["id_cliente"], 'nombre'=> $row["nombre"], 'fecha'=>$row["fecha"],
            'NombreSucursal'=>$row["NombreSucursal"],'status_reservacion'=>$status];
            }
        }

        if($array == null){
            $array[] = ['id_reservacion'=> '0', 'id_cliente' => 'Sin Registros', 'nombre'=> 'Sin Registros', 'fecha'=>'Sin Registros',
            'NombreSucursal'=>'Sin Registros','status_reservacion'=>'Sin Registros'];
        }
        echo json_encode($array);
        break;
        
    
    case '7':
        $array = array();
        $nombre;
        $nombreSuc;
        $activo;
        $foto = "";
        $array_planes;
        $fechaFin;
        $email = "Sin registro";
        $telefono = "Sin registro";
        $fechaIngreso;
        $date = date('Y-m-d');
        $fecha_hoy = strtotime($date);
        $query = "SELECT  * 
        FROM				
            (SELECT 
				CONCAT(socios.Nombre, ' ', socios.Apellidos) AS nombre,
                socios.Foto,
                socios.TelefonoCelular,
                socios.fechaIngreso,
                socios.Email,
                socio_servicio.idServicio as 'id',
                servicios.NombreServicio,
                socio_servicio.idSocio_Servicio AS 'idss',
                socio_servicio.idSocioTitular as 'st',
                pagos.FechaFin,
                socios.Activo,
                sucursal.NombreSucursal
            FROM 
                socio_servicio
                	INNER JOIN pagos
            	        ON socio_servicio.idSocio_Servicio = pagos.idSocio_Servicio
                    INNER JOIN servicios
            	        ON socio_servicio.idServicio = servicios.idServicio
                    INNER JOIN socios
            	        ON socio_servicio.idSocio = socios.idSocio
            	   INNER JOIN sucursal
               			ON socios.sucursal_idSucursal = sucursal.idSucursal
            WHERE
                socio_servicio.idSocio = '$obj->id'
                AND pagos.Cancelado = 0  
                AND pagos.Visible = 1
			GROUP BY
				socio_servicio.idSocio_Servicio DESC
            ) AS tmp
        GROUP BY
        	tmp.id
        ORDER BY
            tmp.idss DESC";
        $resultado = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        
        /*$query = "SELECT socio_servicio.idSocio as id,servicios.NombreServicio, Foto, Email,TelefonoCelular,FechaIngreso,
        MAX(socio_servicio.idSocio_Servicio) AS idSocio_Servicio,CONCAT(socios.Nombre,' ',socios.Apellidos) AS nombre,MAX(pagos.FechaFin) AS FechaFin, Activo 
        FROM socio_servicio INNER JOIN servicios 
        ON socio_servicio.idServicio = servicios.idServicio INNER JOIN socios ON socio_servicio.idSocio = socios.idSocio 
        INNER JOIN pagos ON socio_servicio.idSocio_Servicio = pagos.idSocio_Servicio WHERE socio_servicio.idSocio = '$obj->id' 
        AND pagos.Cancelado = 0 AND pagos.Visible = 1 GROUP BY servicios.NombreServicio ORDER BY servicios.NombreServicio ASC";
        $resultado = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);*/
        
       /* $nombre;
        $foto;*/
        while($row = mysqli_fetch_array($resultado)){
            $nombreSuc = $row["NombreSucursal"];
            $activo = $row["Activo"];
            $status = 'vigente';
            $nombre = $row['nombre'];
            if($row['Foto'] != ""){
                $foto = "https://manager.progymcloud.com/style/img/Socios/".$row['Foto'];
            }
            
            if($row['Email'] != ""){
                $email = $row['Email'];
            }
            if($row['TelefonoCelular'] != ""){
                $telefono = $row['TelefonoCelular'];
            }
            
            $fechaIngreso = $row['fechaIngreso'];
            $fechaV = strtotime($row['FechaFin']);
            if($fechaV < $fecha_hoy){
                $status = 'vencido';
            }
            //date("d-m-Y",$fechaV);
            $array_planes[] = ['Plan' => $row['NombreServicio'],'Vence' => date("d-m-Y",$fechaV), 'status' => $status];
            
        }
        
        //locker
        $queryLocker ="SELECT 
              	lockers_socios.Socios_idSocio as 'id', 
                lockers.idLocker as 'id_gl', 
                locker.id_locker as 'idlk_c', 
                CONCAT(socios.Nombre, ' ', socios.Apellidos) as 'name', 
                lockers.Clave as 'grupo',
                locker.num_locker as 'num_locker', 
                lockers_socios.FechaAsignacion as 'pago', 
                lockers_socios.FechaVencimiento, 
                lockers_socios.concepto_pago as 'concepto', 
                lockers_socios.importe as 'total', 
                lockers_socios.estado 'status',
                lockers_socios.cancelado,
                sucursal.NombreSucursal as 'sucursal',
                IF(lockers_socios.FechaVencimiento < DATE_FORMAT(NOW(), '%d/%m/%Y') 
            		AND lockers_socios.cancelado = 0 AND lockers_socios.estado = 1, 'TRUE', 'FALSE') as 'vencimiento'
            FROM 
                lockers_socios, 
                socios, 
                lockers, 
                sucursal, 
                locker 
            WHERE 
                lockers_socios.Lockers_idLocker = lockers.idLocker 
                AND lockers_socios.Socios_idSocio = socios.idSocio 
                AND lockers_socios.sucursal_idSucursal = sucursal.idSucursal 
                AND socios.idSocio = $obj->id
                AND lockers_socios.locker_asignado = locker.id_locker
                AND lockers_socios.cancelado = 0
            ORDER BY 
                lockers_socios.id_lockers_socios DESC LIMIT 1";

           $resLocker = $conn->selectQuery($queryLocker, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            
            if(mysqli_num_rows($resLocker) == 0){
                $arrayLocker[] = ['FechaVencimiento' => 'Sin Locker', "Vencimiento" => '-', "numLocker" => '-']; 
                //echo json_encode($array);
            }else{
                while($rowL = mysqli_fetch_array($resLocker)){ //date("d-m-Y",strtotime($rowL['FechaVencimiento']))
                    if($rowL['status'] == '1'){
                        $arrayLocker[] = ['FechaVencimiento' => date("d-m-Y",strtotime($rowL['FechaVencimiento'])), "Vencimiento" => $rowL['vencimiento'], "numLocker" => $rowL['num_locker']]; 
                    }else{
                        $arrayLocker[] = ['FechaVencimiento' => 'Sin Locker', "Vencimiento" => '-', "numLocker" => '-'];
                    }
                }
                //$conn->jsonQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            }

        //date("d-m-Y",strtotime($fechaIngreso))
        $array[] = ['nombre' => $nombre, 'foto' => $foto, 'activo' => $activo, 'nombre_suc' => $nombreSuc,
        'email' => $email, 'telefono' => $telefono, 'fechaIngreso' => date("d-m-Y",strtotime($fechaIngreso)), 'planes' => $array_planes, 'locker' => $arrayLocker];
        //echo $conn->jsonQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        
        echo json_encode($array);
        break;
    
    case '8':
        $query ="SELECT FechaVencimiento, IF(FechaVencimiento < DATE_FORMAT(NOW(), '%d/%m/%Y') 
            AND cancelado = 0 AND estado = 1, 'TRUE', 'FALSE') AS vencimiento 
            FROM lockers_socios  WHERE id_lockers_socios = (SELECT MAX(id_lockers_socios) FROM lockers_socios WHERE Socios_idSocio = '$obj->id_cliente')";

            $resultado = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);

            if(mysqli_num_rows($resultado) == 0){
                $array[] = ['FechaVencimiento' => 'Sin Locker', "Vencimiento" => '-']; 
                echo json_encode($array);
            }else{

                echo $conn->jsonQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            }
        
        break;
    case '9':
        $array = array();
        $query = "SELECT * FROM stripe WHERE id_socio = '$obj->id_cliente'";
        $resultado = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        if(mysqli_num_rows($resultado) == 1){
            while($row = mysqli_fetch_array($resultado)){
                $array[] = ["msg"=>"success", "id_stripe"=>$row["id_stripe"]];
            }
        }else{
            $array[] = ["msg"=>"no exist", "id_stripe"=>"x"];
        }
        echo json_encode($array);
        break;
    case '10':
        $nombre;
        $query = "SELECT CONCAT(Nombre, ' ', Apellidos) AS nombre FROM socios WHERE idSocio = '$obj->id_cliente'";
        $resultado = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            
        while($row = mysqli_fetch_array($resultado)){
            $nombre = $row['nombre'];
        
        }
            
        echo $nombre;
        break;
    case '11':
        /*$query = "SELECT socio_servicio.idSocio as id,servicios.idServicio as id_p,servicios.NombreServicio, MAX(socio_servicio.idSocio_Servicio) AS idSocio_Servicio,
        socios.Nombre, socios.Apellidos,MAX(pagos.FechaFin) AS FechaFin, servicios.PInscripcion,servicios.PVisita,servicios.PSemanal,servicios.PQuincenal,
        servicios.PMensual,servicios.PBimestral,servicios.PTrimestral,servicios.PCuatrimestral,servicios.PSemestral,servicios.PAnual
        Activo FROM socio_servicio INNER JOIN servicios ON socio_servicio.idServicio = servicios.idServicio INNER JOIN 
        socios ON socio_servicio.idSocio = socios.idSocio INNER JOIN pagos ON socio_servicio.idSocio_Servicio = pagos.idSocio_Servicio 
        WHERE socio_servicio.idSocio = '$obj->id_cliente' AND pagos.Cancelado = 0 AND pagos.Visible = 1 GROUP BY servicios.NombreServicio 
        ORDER BY servicios.NombreServicio ASC";*/
        $query = "SELECT  * FROM(SELECT 
                socio_servicio.idServicio as 'id',
                pagos.FechaInicio,
                servicios.NombreServicio,
                servicios.PVisita,servicios.PSemanal,servicios.PQuincenal,
                servicios.PMensual,servicios.PBimestral,servicios.PTrimestral,
                servicios.PCuatrimestral,servicios.PSemestral,servicios.PAnual,
                socio_servicio.idSocio_Servicio AS 'idss',
                socio_servicio.idSocioTitular as 'st',
                pagos.FechaFin
            FROM 
                socio_servicio
                	INNER JOIN pagos
            	        ON socio_servicio.idSocio_Servicio = pagos.idSocio_Servicio
                    INNER JOIN servicios
            	        ON socio_servicio.idServicio = servicios.idServicio
                    INNER JOIN socios
            	        ON socio_servicio.idSocio = socios.idSocio
            WHERE
                socio_servicio.idSocio = '$obj->id_cliente'
                AND pagos.Cancelado = 0  
                AND pagos.Visible = 1
			GROUP BY
				socio_servicio.idSocio_Servicio DESC
            ) AS tmp
        GROUP BY
        	tmp.id
        ORDER BY
            tmp.idss DESC;";
        
        $resultado = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        $array = [];
        $arrayConcepto = [];
        $arrayTemp = [];
        /*servicios.PVisita,servicios.PSemanal,servicios.PQuincenal,
                servicios.PMensual,servicios.PBimestral,servicios.PTrimestral,
                servicios.PCuatrimestral,servicios.PSemestral,servicios.PAnual,*/
        
        while($row = mysqli_fetch_array($resultado)){
            $arrayTemp = [];
            $arrayConcepto = [];
            if($row['PVisita'] != null){
                $arrayConcepto[] = ['idpago' => '1', 'nombre' => 'Visita' ,'costo' => $row['PVisita']];
            }
            if($row['PSemanal'] != null){
                $arrayConcepto[] = ['idpago' => '2', 'nombre' => 'Semanal' ,'costo' => $row['PSemanal']];
            }
            if($row['PQuincenal'] != null){
                $arrayConcepto[] = ['idpago' => '3', 'nombre' => 'Quincenal' ,'costo' => $row['PQuincenal']];
            }
            if($row['PMensual'] != null){
                $arrayConcepto[] = ['idpago' => '4', 'nombre' => 'Mensual' ,'costo' => $row['PMensual']];
            }
            if($row['PBimestral'] != null){
                $arrayConcepto[] = ['idpago' => '5', 'nombre' => 'Bimestral' ,'costo' => $row['PBimestral']];
            }
            if($row['PTrimestral'] != null){
                $arrayConcepto[] = ['idpago' => '6', 'nombre' => 'Trimestral' ,'costo' => $row['PTrimestral']];
            }
            if($row['PCuatrimestral'] != null){
                $arrayConcepto[] = ['idpago' => '7', 'nombre' => 'Cuatrimestral' ,'costo' => $row['PCuatrimestral']];
            }
            if($row['PSemestral'] != null){
                $arrayConcepto[] = ['idpago' => '8', 'nombre' => 'Semestral' ,'costo' => $row['PSemestral']];
            }
            if($row['PAnual'] != null){
                $arrayConcepto[] = ['idpago' => '9', 'nombre' => 'Anual' ,'costo' => $row['PAnual']];
            }
            
            
            $arrayTemp = ['id' => $row['id'], 'NombreServicio' => $row['NombreServicio'], 'planes' => $arrayConcepto];
            $array[] = $arrayTemp;
        }
        
        echo json_encode($array);
        //echo $conn->jsonQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        /*while($row = mysqli_fetch_array($resultado)){
            
        }*/
        break;
    case '12': //verificar que el concepto de pago este disponible
        $day;
        $pagos; 
        $fechaNewVen;
        $arrayConcepto = [];
        switch($obj->tipoPago){
            case '0':
                $pago = 'PInscripcion';
                break;
            case '1':
                $day = 1;
                $pago = 'PVisita';
                break;
            case '2':
                $day = 7;
                $pago = 'PSemanal';
                break;
            case '3':
                $day = 15;
                $pago = 'PQuincenal';
                break;
            case '4':
                $day = 1;
                $pago = 'PMensual';
                break;
            case '5':
                $day = 2;
                $pago = 'PBimestral';
                break;
            case '6':
                $day = 3;
                $pago = 'PTrimestral';
                break;
            case '7':
                $day = 4;
                $pago = 'PCuatrimestral';
                break;
            case '8':
                $day = 6;
                $pago = 'PSemestral';
                break;
            case '9':
                $day = 1;
                $pago = 'PAnual';
                break;
        }
        //$query = "SELECT IF($pago != null OR $pago != '0.00','Vencería: ' $pago, 'Este pago no esta disponible') AS mensaje FROM servicios WHERE idServicio = '$obj->id_servicio'";
        $query = "SELECT  * FROM(SELECT 
                socio_servicio.idServicio as 'id',
                pagos.FechaInicio,
                servicios.NombreServicio,
                socio_servicio.idSocio_Servicio AS 'idss',
                socio_servicio.idSocioTitular as 'st',
                pagos.FechaFin,
                IF($pago != null OR $pago != '0.00', $pago, 'Este pago no esta disponible') AS mensaje
            FROM 
                socio_servicio
                	INNER JOIN pagos
            	        ON socio_servicio.idSocio_Servicio = pagos.idSocio_Servicio
                    INNER JOIN servicios
            	        ON socio_servicio.idServicio = servicios.idServicio
                    INNER JOIN socios
            	        ON socio_servicio.idSocio = socios.idSocio
            WHERE
                socio_servicio.idSocio = '$obj->id_cliente' AND
                servicios.idServicio = '$obj->id_servicio'
                AND pagos.Cancelado = 0  
                AND pagos.Visible = 1
                AND socios.Activo != 0
			GROUP BY
				socio_servicio.idSocio_Servicio DESC
            ) AS tmp
        GROUP BY
        	tmp.id
        ORDER BY
            tmp.idss DESC;";
            $band = 'false';
        $resultado = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        if(mysqli_num_rows($resultado) != 0){
            $row = mysqli_fetch_array($resultado);
        
            if($row['mensaje'] == 'Este pago no esta disponible'){
                echo $row['mensaje'];
            }else{
                //echo "Costo: ".$row['mensaje']."\nVencimiento actual: ".date('d-m-Y',$row['FechaFin']);
                /*echo 'Costo: '.$row['mensaje'];
                echo "\n";
                echo 'Vencimiento actual: '.date("d-m-Y",strtotime($row['FechaFin']));
                echo "\n";
                echo 'Proximo vencimineto: '. date("d-m-Y",strtotime($row['FechaFin']."+ ".$day." days"));*/
                $date = date('Y-m-d');
                $fechaVar = explode("-", $row['FechaFin']);
                $fechaFinalC;
                if(strtotime($row['FechaFin']) < strtotime($date) ){
                    $band = 'false';
                }else{
                    $band = 'true';
                }
                //echo $fechaVar[1] + $day;
                if($obj->tipoPago >= 0 && $obj->tipoPago <= 3){
                    $fechaNewVen = date('d-m-Y', strtotime("+$day days", strtotime($row['FechaFin'])));
                }else if($obj->tipoPago >= 4 && $obj->tipoPago <= 8){
                    $suma = $fechaVar[1]+$day;
                    if($suma > 12){
                        $mes = $suma - 12;
                        if($mes >= 1 && $mes <= 9){
                            $mes = '0'.$mes;
                        }
                        $fechaNewVen = $fechaVar[2].'-'.$mes.'-'.$fechaVar[0];
                    }else{
                        if($suma >= 1 && $suma <= 9){
                            $suma = '0'.$suma;
                        }
                        $fechaNewVen = $fechaVar[2].'-'.$suma.'-'.$fechaVar[0];
                    }
                    //$fechaNewVen = date('d-m-Y', strtotime("+$day months", strtotime($row['FechaFin'])));
                    
                    
                }else{
                    $suma = $fechaVar[0] + 1;
                    $fechaNewVen = $fechaVar[2].'-'.$fechaVar[1].'-'.$suma;
                }
                $arrayConcepto[] = ['mensaje' => $row['mensaje'], 'actual' => date("d-m-Y",strtotime($row['FechaFin'])) ,'vencimineto' => $fechaNewVen, 'band' => $band];
                echo json_encode($arrayConcepto);
                //$array[] = ['mensaje' => $row['mensaje'], 'actual' => date("d-m-Y",$row['FechaFin']), 'vencimineto' => date("d-m-Y",strtotime($row['FechaFin']."+ ".$day." days"))];
            }
        }else{
            //$array[] = ['mensaje' => 'Cliente inactivo, verifica con la administracion de tu sede', 'actual' => 'sin fecha', 'vencimineto' => 'sin fecha'];
            //echo 'Cliente inactivo, verifica con la administracion de tu sede';
            $arrayConcepto[] = ['mensaje' => 'Cliente inactivo, verifica con la administracion de tu sede', 'actual' => 'sin fecha','vencimineto' => 'sin fecha', 'band' => 'false'];
            echo json_encode($arrayConcepto);
        }
        
    break;
    
    case '13':
        $array = [];
        $arrayPagos = [];
        $cont = 0;
        $queryLocker = "SELECT 
                locker.num_locker,
                lockers_socios.Lockers_idLocker,
              	lockers_socios.Socios_idSocio as 'id', 
                lockers.idLocker as 'id_gl', 
                locker.id_locker as 'idlk_c', 
                CONCAT(socios.Nombre, ' ', socios.Apellidos) as 'name', 
                lockers.Clave as 'grupo',
                locker.num_locker as 'num_locker', 
                lockers_socios.FechaAsignacion as 'pago', 
                lockers_socios.FechaVencimiento, 
                lockers_socios.concepto_pago, 
                lockers_socios.importe as 'total', 
                lockers_socios.estado,
                lockers_socios.cancelado,
                sucursal.NombreSucursal as 'sucursal',
                lockers_socios.locker_asignado,
                lockers.*,
                IF(lockers_socios.FechaVencimiento < DATE_FORMAT(NOW(), '%d/%m/%Y') 
            		AND lockers_socios.cancelado = 0 AND lockers_socios.estado = 1, 'TRUE', 'FALSE') as 'vencimiento',
            	DATE_FORMAT(lockers_socios.FechaVencimiento, '%e-%c-%Y') AS Fecha_Vencimiento
            FROM 
                lockers_socios, 
                socios, 
                lockers, 
                sucursal, 
                locker 
            WHERE 
                lockers_socios.Lockers_idLocker = lockers.idLocker 
                AND lockers_socios.Socios_idSocio = socios.idSocio 
                AND lockers_socios.sucursal_idSucursal = sucursal.idSucursal 
                AND socios.idSocio = $obj->id
                AND lockers_socios.locker_asignado = locker.id_locker
                AND lockers_socios.cancelado = 0
            ORDER BY 
                lockers_socios.id_lockers_socios DESC LIMIT 1";
                
       /*echo $queryLocker ="SELECT 
                    ls.*, 
                    l.*, 
                    locks.*, 
                    s.sucursal_idSucursal, 
                    IF(ls.FechaVencimiento < DATE_FORMAT(NOW(), '%d/%m/%Y') AND ls.cancelado = 0 AND ls.estado = 1, 'TRUE', 'FALSE') AS vencimiento,
                    DATE_FORMAT(ls.FechaVencimiento, '%e-%c-%Y') AS Fecha_Vencimiento
                    FROM socios s 
                        JOIN lockers_socios ls ON s.idSocio = ls.Socios_idSocio 
                        JOIN locker l ON ls.id_lockers_socios = l.id_locker 
                        JOIN lockers locks ON locks.idLocker = l.Lockers_idLockers
                    WHERE ls.id_lockers_socios = (SELECT MAX(id_lockers_socios) 
                        FROM lockers_socios WHERE Socios_idSocio = '$obj->id')";*/
            
            $resultado = $conn->selectQuery($queryLocker, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            if(mysqli_num_rows($resultado) == 1){
                while($row = mysqli_fetch_array($resultado)){
                    if($row['estado'] == '1'){
                        if($row['costo_dia'] != null){
                        
                            $arrayPagos[] = ['id' => "$cont",'nombre'=>'Dia','costo'=>$row['costo_dia'], 'tipo' => '1'];
                            $cont++;
                            
                        }
                        if($row['costo_sem'] != null){
                            $arrayPagos[] = ['id' => "$cont",'nombre'=>'Semanal','costo'=>$row['costo_sem'], 'tipo' => '2'];
                            $cont++;
                            
                        }
                        if($row['costo_quinc'] != null){
                            $arrayPagos[] = ['id' => "$cont",'nombre'=>'Quincenal','costo'=>$row['costo_quinc'], 'tipo' => '3'];
                            $cont++;
                            
                        }
                        if($row['costo_mes'] != null){
                            $arrayPagos[] = ['id' => "$cont",'nombre'=>'Mensual','costo'=>$row['costo_mes'], 'tipo' => '4'];
                            $cont++;
                            
                        }
                        if($row['costo_semest'] != null){
                            $arrayPagos[] = ['id' => "$cont",'nombre'=>'Semestral','costo'=>$row['costo_semest'], 'tipo' => '5'];
                            $cont++;
                            
                        }
                        if($row['costo_anyo'] != null){
                            $arrayPagos[] = ['id' => "$cont",'nombre'=>'Anual','costo'=>$row['costo_anyo'], 'tipo' => '6'];
                            $cont++;
                            
                        }
                        $array[] = ['locker'=> $row['Lockers_idLocker'], 'num_locker'=> $row['num_locker'], 'FechaVencimiento' => $row['Fecha_Vencimiento'], 
                        'concepto_pago' => $row['concepto_pago'], 'vencimiento' => $row['vencimiento'], 'locker_asignado' => $row['locker_asignado'],
                        'sucursal' => $row['sucursal_idSucursal'],'pagos' => $arrayPagos];
                        
                        echo json_encode($array);
                    }else{
                        echo 'Sin Locker';
                    }
                    
                }
                //echo $conn->jsonQuery($queryLocker, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
                //echo json_encode($array);
            }else{
                echo 'Sin Locker';
            }
            
        break;
        
    case '14':
        $dia = $obj->dia_clase - 1;
        $array = [];
        $query = "SELECT DISTINCT c.*, d.*, e.Nombre,fecha_clase.clientes_registrados
        FROM disciplina d 
        JOIN clase c ON c.Disciplina_idDisciplina = d.idDisciplina
        LEFT JOIN fecha_clase ON c.idClase = fecha_clase.Clase_idClase
        JOIN empleado e ON e.idEmpleado = c.instructor_id
        WHERE c.clase_activa = 1 AND d.idSucursal = '$obj->sucursal' AND c.Dia='$dia'
        ORDER BY c.Dia ASC, c.HoraEntrada ASC";
        $resultado = $conn->selectQuery($query, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        $queryP = "SELECT  * FROM(SELECT 
                socio_servicio.idServicio as 'id',
                pagos.FechaInicio,
                servicios.NombreServicio,
                socio_servicio.idSocio_Servicio AS 'idss',
                socio_servicio.idSocioTitular as 'st',
                pagos.FechaFin,
                socios.sucursal_idSucursal,
                socios.Activo
            FROM 
                socio_servicio
                	INNER JOIN pagos
            	        ON socio_servicio.idSocio_Servicio = pagos.idSocio_Servicio
                    INNER JOIN servicios
            	        ON socio_servicio.idServicio = servicios.idServicio
                    INNER JOIN socios
            	        ON socio_servicio.idSocio = socios.idSocio
            WHERE
                socio_servicio.idSocio = '$obj->id_cliente'
                AND pagos.Cancelado = 0  
                AND pagos.Visible = 1
                AND socios.Activo != 0
			GROUP BY
				socio_servicio.idSocio_Servicio DESC
            ) AS tmp
        GROUP BY
        	tmp.id
        ORDER BY
            tmp.idss DESC;";
        
        $resultadoP = $conn->selectQuery($queryP,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        
        /*if(mysqli_num_rows($resultadoP) > 0){
            while($row = $resultadoP->fetch_assoc()){
                $idSer = $row["idServicio"];
                $subQuery = "SELECT * FROM servicios_sucursal WHERE servicios_idservicio = '$idSer'";
                $resultado2 = $conn->selectQuery($subQuery, "directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
                if(mysqli_num_rows($resultado2) > 0){
                    if($row_2 = mysqli_fetch_array($resultado2)){
                        if($obj->sucursal != $row_2['sucursal_idsucursal']){
                            $msg = 'No tienes acceso a esta sucursal';
                        }
                    }
                }
        
            }
        }*/
        
        $day = date('N');
        $dia;
        $array_discinplina = [];
        $rand = 0;
        $randAux = -1;
        //echo mysqli_num_rows($resultado);
        while($row = $resultado->fetch_assoc()){ //recorremos las disciplinas
                //echo $rowP['id']."\n";
            $array_paquetes = explode(',',$row['paquetes_asociados']);
            
            
            if($rand == 12){
                $rand = 0;
            }
            //$rand = $rand + 1;
            //echo $rand."\n";
            //for($i=0; $i<sizeof($array_paquetes); $i++){
                switch($row['Dia']){
                    case '0':
                        $dia = 'Lunes';
                        break;
                    case '1':
                        $dia = 'Martes';
                        break;
                    case '2':
                        $dia = 'Miercoles';
                        break;
                    case '3':
                        $dia = 'Jueves';
                        break;
                    case '4':
                        $dia = 'Viernes';
                        break;
                    case '5':
                        $dia = 'Sabado';
                        break;
                    case '6':
                        $dia = 'Domingo';
                        break;
                }
               
            //}
            
            $cupo = $row['Cupo'] - $row['clientes_registrados'];
             $array_discinplina[] = ['idDis'=>$row['idDisciplina'],'paquete_asociado'=>$array_paquetes[$i], 'idClase'=>$row['idClase'],
                'nombre'=>$row['NombreDisciplina'].' - '.$row['Nombre'],'descripcion'=>$row['Descripcion'],'horario'=>$row['HoraEntrada'].' - '.$row['HoraSalida'], 
                'cupo' => $cupo, 'dia'=>$dia,'color'=> $rand++.'','paquetes'=>$row['paquetes_asociados'], 'paqueteClase' => $row['paqueteClases']];
               
                
        }
        
        
        while($rowP = mysqli_fetch_array($resultadoP)){ //recorremos los paquetes
            for($i=0; $i<sizeof($array_discinplina); $i++){
                //echo $array_discinplina[$i]['paquete_asociado'].' - '.$rowP['id']."\n";
                           
                if($array_discinplina[$i]['paquete_asociado'] == $rowP['id']){
                    $array = [$array_discinplina[$i]];
                }
            }
            
        }
        
        echo json_encode($array_discinplina);
        break;
    
    case '15':
        $query = "SELECT socio_clase.idSocio_Clase,socio_clase.Clase_idClase,DATE_FORMAT(socio_clase.fecha_de_clase,'%d-%m-%Y') AS fecha_clase,socio_clase.status,
        clase.Dia,clase.HoraEntrada,clase.HoraSalida,disciplina.NombreDisciplina
        FROM socio_clase JOIN clase ON socio_clase.Clase_idClase = clase.idClase 
        JOIN disciplina ON clase.Disciplina_idDisciplina = disciplina.idDisciplina 
        WHERE socio_clase.Socios_idSocio = '$obj->id_cliente' ORDER BY socio_clase.fecha_de_clase DESC";
        
        echo $conn->jsonQuery($query,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        break;
    case '16': //obtener todas las clases
        $query = "SELECT * FROM clase JOIN disciplina ON clase.Disciplina_idDisciplina = disciplina.idDisciplina WHERE clase.clase_activa = 0 AND paquetes_asociados != ''";
        echo $conn->jsonQuery($query,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
    break;
    case '17': //obtener todas las clases
        /*"idServicio": "73",
        "NombreServicio": "Clase Crossfit",
        "Descripcion": "Clase Crossfit",
        "Tipo": "SOLOGYM",
        "PInscripcion": "0.00",
        "PVisita": "100.00",*/
        $query = "SELECT idServicio,NombreServicio,Tipo,PVisita,Sucursal FROM servicios WHERE idServicio = '$obj->idServicio'";
        echo $conn->jsonQuery($query,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
    break;
    case '18':
        $query = "SELECT * FROM sucursal";
        echo $conn->jsonQuery($query,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);

        break;
    case '19':
        $query = "SELECT * FROM prospectos WHERE qr = '$obj->qr'";
        $resultado = $conn->selectQuery($query,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
        if(mysqli_num_rows($resultado) > 0){
            echo 'ok';
        }else{
            echo 'no';
        }
        break;
}

$conn->disconnect("directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);

?>
